# RadeonRays 4.0

## Important

RadeonRays 2.0 SDK (OpenCL) has been moved to 'legacy-2.0' branch.

## Summary

RadeonRays is a ray intersection acceleration library for heterogeneous hardware and software systems. AMD developed RadeonRays to help developers make the most of GPU, APUs and CPUs, and to eliminate the need to maintain hardware-dependent code.

The library offers a well-defined C API for scene building and performing asynchronous ray intersection queries.

RadeonRays is not limited to AMD hardware, a specific operating system or graphics framework. The library helps assure compatibility and best performance across a wide range of hardware platforms.

## Backends

The library supports the following graphics and GPGPU frameworks as its backends:

- DirectX 12
- Metal
- Vulkan

## System Requirements

RadeonRays requires a PC with the following software and hardware:

- DirectX12: a 64-bit version of Windows 10, and a GPU and drivers that supports DirectX12 features
- Metal: a 64-bit version of MacOS X 10.15 or later, and a discrete GPU that supports the MPS acceleration structure
- Vulkan: a 64-bit version of Windows 10 or Linux, and a GPU and drivers that support Vulkan version 1.2

## Documentation

[Documentation page](https://radeon-pro.github.io/RadeonProRenderDocs/rr/about.html)
